Package bitel.billing.server.contract.bean

# Class ContractAddressParamValue

java.lang.Object
bitel.billing.server.contract.bean.ContractAddressParamValue

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContractAddressParamValue
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractAddressParamValue()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAddress()` |
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.lang.String` | `getFlat()` |
  `int` | `getFloor()` |
  `java.lang.String` | `getFormatKey()` |
  `int` | `getHouseId()` |
  `int` | `getParameterId()` |
  `int` | `getPod()` |
  `java.lang.String` | `getRoom()` |
  `void` | `setAddress​(java.lang.String address)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setFlat​(java.lang.String flat)` |
  `void` | `setFloor​(int floor)` |
  `void` | `setFormatKey​(java.lang.String formatKey)` |
  `void` | `setHouseId​(int houseId)` |
  `void` | `setParameterId​(int parameterId)` |
  `void` | `setPod​(int pod)` |
  `void` | `setRoom​(java.lang.String room)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractAddressParamValue

    public ContractAddressParamValue()

- ## Method Details

  - ### getAddress

    public java.lang.String getAddress()

  - ### setAddress

    public void setAddress​(java.lang.String address)

  - ### getFlat

    public java.lang.String getFlat()

  - ### setFlat

    public void setFlat​(java.lang.String flat)

  - ### getFloor

    public int getFloor()

  - ### setFloor

    public void setFloor​(int floor)

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public void setHouseId​(int houseId)

  - ### getPod

    public int getPod()

  - ### setPod

    public void setPod​(int pod)

  - ### getRoom

    public java.lang.String getRoom()

  - ### setRoom

    public void setRoom​(java.lang.String room)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getFormatKey

    public java.lang.String getFormatKey()

  - ### setFormatKey

    public void setFormatKey​(java.lang.String formatKey)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getParameterId

    public int getParameterId()

  - ### setParameterId

    public void setParameterId​(int parameterId)